# setPlacementAlignmentWithOffset

### Overview <a href="#markdown-header-overview" id="markdown-header-overview"></a>

Sets banner placement position on the screen with defined offset.

### Syntax <a href="#markdown-header-syntax" id="markdown-header-syntax"></a>

```javascript
setPlacementAlignmentWithOffset(placementName, bannerAlignment, x, y)
```

placementName **(REQUIRED)**

*string* Unique name of placement. The same name will be used in gravite.net account.

bannerAlignment **(REQUIRED)**

*int* Banner alignment on the screen.

```
topLeft
topCenter
topRight
bottomLeft
bottomCenter
bottomRight
```

x **(REQUIRED)**

*int* The x value of the banner offset. When this value is positive the banner is moved to the right, when it is negative the banner is moved to the left.

y **(REQUIRED)**

*int* The y value of the banner offset. When this value is positive the banner is moved to the bottom, when it is negative the banner is moved to the top.

### Examples <a href="#markdown-header-examples" id="markdown-header-examples"></a>

```javascript
AATKitCordova.setPlacementAlignmentWithOffset("Banner", "topCenter", 13, 4);
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://aatkit.gitbook.io/aatkit-cordova-integration/other/reference/functions/setplacementalignmentwithoffset.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
